Subject: Re: Improved git-gui blame viewer

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 5 Jun 2007 00:28:55 -0400

Matthijs Melchior <[email-masked]> wrote:
> Shawn O. Pearce wrote:
> > I'm not sure I understand what you are looking for here.  Right now
> > git-gui should be inverting the foreground/background colors on
> > the file that is "selected" (shown in the lower diff view pane).
> > So the background should be black, and the foreground white.
> > Is this not happening?  Or are you looking for something else?
> > 
> 
> No, I am not looking for something else...., the inverting you describe
> does not happen on my machine....

I'm wrong.  Its not inverting.  Its bold if its selected, and normal
if its not selected.  Perhaps your font is already a bold weight
so you aren't seeing a difference between the selected item and
the non-selected items.
 
> I am now running Debian git-core 1.5.2.1-1 with 'make install' done
> in the origin/pu branch of git-gui.
> 'About git-gui' now says:
> 	git-gui version 0.7.2.58-gf9e9
> 	git version 1.5.2.1
> 	Tcl/Tk version 8.4.12
> 
> If you explain where this inverting is taking place, I can do some
> experiments to find out more [use gray background i.s.o. inverting...]
> Maybe it has something to do with Desktop themes, I use the standard
> Gnome theme.

Around line 1803 of git-gui.sh we setup the in_diff tag for the
$ui_index and $ui_workdir Tk widgets.  That tag is applied to the
file that is in the diff viewer.  Perhaps adding a background to
the tag would get you an improved interface?

-- 
Shawn.